# This script is run from its parent directory.

driver_d=$1
shift
make_cmd="$*"

export driver_d make_cmd

me=`basename $0`

set -e

# the compatibility tests recognize compiler messages, so turn
# off internationalization during the tests
LANG=C
LC_ALL=C
export LANG LC_ALL

logf=conf/compat.log
: > $logf

i=1
while test -r conf/$i-kv.sh; do
	printf "$i "
	kv=`sh conf/$i-kv.sh`
	av=`sh conf/$i-av.sh`
	echo "$i kv=$kv av=$av" >> $logf

	if test "$kv" = "$av"; then
		i=`expr $i + 1`
		continue
	fi

	p="conf/$i-patches/$av-$kv.diff"
	reverse=
	test -r "$p" || {
		p="conf/$i-patches/$kv-$av.diff"
		reverse="-R"
	}
	test -r "$p" || {
		echo 1>&2 "$me Error: no $p or inverse found"
		exit 1
	}

	echo
	echo "patch -p1 $reverse < $p" >> $logf
	patch -p1 $reverse < "$p"

	rm -f conf/$i.o conf/$i.ko conf/$i.mod.[co] conf/.$i.*.cmd conf/.$i.*.d
	i=`expr $i + 1`
done

echo ok
exit 0
