# Given a set of tags representing kernel states, you don't need to
# have patches that go from one state to the same state, nor do you
# need a patch for each direction, since patch takes "-R".
# 
# If I had had more sleep lately, I probably wouldn't have written
# this script.  As it stands, it will print out all the patches you'd
# need as pairs of tags.
# 
# ecashin@kokone aoe6-stand$ { echo cdc5; echo cdc4; 
#   echo a; echo b; } | sh conf/pairs.sh
# cdc5 cdc4
# cdc5 a
# cdc5 b
# cdc4 a
# cdc4 b
# a b

awk 'BEGIN{
	i=0
	done["available"] = "yes"
}
{
	a[i] = $0
	b[i] = $0
	i += 1
}
END {
	n = i
	for (i=0; i<n; ++i) {
		aa = a[i]
		for (j=0; j<n; ++j) {
       			bb = b[j]
			s1 = aa ":" bb
			s2 = bb ":" aa
			if (aa != bb && !(s1 in done) && !(s2 in done)) {
				done[s1] = "yes"
				print aa " " bb
			}
		}
	}
}
'
